The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

500 internal server error on all 3rdparty scripts

Discussion in 'General Discussion' started by saweb, Aug 20, 2008.

  1. saweb

    saweb Member

    Joined:
    Jul 15, 2005
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Hello,

    This morning i am not able to access phpmyadmin or mailwatch (or any 3rd party script for that matter)

    I had a look through /usr/local/cpanel/logs/error_log

    Here is a snippet:

    open3: exec of /usr/local/cpanel/3rdparty/bin/php -c /usr/local/cpanel/3rdparty/etc/phpmyadmin /usr/local/cpanel/whostmgr/docroot/3rdparty/phpMyAdmin/index.php failed at cpsrvd-ssl.pl line 5361
    Internal Error: "GET /3rdparty/phpMyAdmin/index.php HTTP/1.1" Premature end of script headers: php: Please check /usr/local/cpanel/logs/error_log for the exact error.

    I am running:

    WHM 11.23.2 cPanel 11.23.6-C26716
    CENTOS Enterprise 5.2 i686 on standard - WHM X v3.1.0

    Anyone know of any issues today? Can anyone else confirm this? It is happening on ALL our servers, so it must be somnething with cPanel itself.

    Please post if you can help.

    Thank you.
     
  2. saweb

    saweb Member

    Joined:
    Jul 15, 2005
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    libssl.so.2

    The problem seems to be that libssl.so.2 is missing

    /usr/local/cpanel/3rdparty/bin/php: error while loading shared libraries: libssl.so.2: cannot open shared object file: No such file or directory

    It does indeed no longer exist on any of our servers.

    I have also forced a upcp without any joy.

    Any suggestions would be appreciated.
     
  3. DevBreak

    DevBreak Active Member

    Joined:
    Jun 26, 2006
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    0
    Same Here...
    Right now i do an update to release version, i hope to solve
     
  4. DevBreak

    DevBreak Active Member

    Joined:
    Jun 26, 2006
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    0
    Use Release version to solve this situation
     
  5. Cristi4n

    Cristi4n Well-Known Member
    PartnerNOC

    Joined:
    Jul 2, 2006
    Messages:
    73
    Likes Received:
    0
    Trophy Points:
    6
    If anyone will have the same problem:

    today I encountered the same problem, same errors a.s.o.
    I found out that for some reason /usr/local/cpanel/3rdparty/bin/php and /usr/local/cpanel/3rdparty/bin/php-cgi did not have the execute permissions anymore (I am using release). the libssl.so.2 and libcrypto.so.2 (both symlinks) were missing too.
    I recreated the symlinks and chmod +x both php and php-cgi and everything went back to normal.
     
  6. Sh3nKo

    Sh3nKo Member

    Joined:
    Sep 25, 2007
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Same situation here.

    The problem is I have recently upgrade to current release for solved mysql problems with my remote server.

    The Cristi4n solution is sur ?

    Thank you
     
  7. jez9999

    jez9999 Well-Known Member

    Joined:
    Jun 10, 2005
    Messages:
    87
    Likes Received:
    0
    Trophy Points:
    6
    I had a very similar problem to this.

    I fixed the problem by switching from Current to Release, and upgrading. *shrug* Strange that it broke on Current, though.
     
  8. jack01

    jack01 Well-Known Member

    Joined:
    Jul 21, 2004
    Messages:
    200
    Likes Received:
    0
    Trophy Points:
    16
    FYI I was seeing the same problem and I just ran /scripts/upcp --force with Current still set (WHM 11.23.2 cPanel 11.23.6-C26701 update to WHM 11.23.2 cPanel 11.23.6-C26716) and this seems to have corrected the problem.

    Peace
     
    #8 jack01, Aug 20, 2008
    Last edited: Aug 20, 2008
  9. Sh3nKo

    Sh3nKo Member

    Joined:
    Sep 25, 2007
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Solved too, answer from a ticket :

    "From: Ken Folse

    Howdy,

    I had to set /usr/local/cpanel/3rdparty/bin/php and php-cgi to executable, then
    I ran `/scripts/makecpphp` to resolve this. Please confirm this is now working
    for you."

    Thank you Ken.
     
  10. craigbrass

    craigbrass Active Member

    Joined:
    Nov 17, 2003
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    1
    Sh3nKo's fix worked for me.
     
  11. Haloweb

    Haloweb Well-Known Member

    Joined:
    Jul 2, 2004
    Messages:
    88
    Likes Received:
    0
    Trophy Points:
    6
    Sh3nKo's fix also worked for me :)
     
  12. grindlay

    grindlay Active Member

    Joined:
    Dec 8, 2004
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Edinburgh, Scotland
    cPanel Access Level:
    Root Administrator
    500 Error on third party scripts

    Sh3nKo's fix worked for me on 11.23.6-C26716.
    Would be nice to see an "official" response from CP though :confused:
    G.
     
  13. Serra

    Serra Well-Known Member

    Joined:
    Oct 27, 2005
    Messages:
    213
    Likes Received:
    4
    Trophy Points:
    18
    Location:
    Florida
    Thanks, this was a big help. Had the same problem.
     
  14. Rafaelfpviana

    Rafaelfpviana Well-Known Member

    Joined:
    Mar 12, 2004
    Messages:
    142
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Brazil
    /scripts/makecpphp fixed this issue for me too
     
  15. Mindlash

    Mindlash Well-Known Member

    Joined:
    Jul 7, 2003
    Messages:
    78
    Likes Received:
    0
    Trophy Points:
    6
    Sh3nKo's fix worked for me too.

    Thanks.
     
  16. forxxx

    forxxx Registered

    Joined:
    Aug 20, 2008
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    I had the same problem ( HTTP 500 Error accessing /3rdparty/phpMyAdmin/index.php

    Sh3nKo's Fix
    {
    chmod /usr/local/cpanel/3rdparty/bin/php and /usr/local/cpanel/3rdparty/bin/php-cgi to 755 and then run /scripts/makecpphp
    }

    worked for me too. Thank you.
     
  17. grindlay

    grindlay Active Member

    Joined:
    Dec 8, 2004
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Edinburgh, Scotland
    cPanel Access Level:
    Root Administrator
    Fixed in C26720 :
    -------------
    Current 26720
    2008-08-20 14:46:58

    Fixes
    Ensure PHP binaries are executable
    -------------

    Ouch !
     
  18. markb14391

    markb14391 Well-Known Member

    Joined:
    Jun 9, 2008
    Messages:
    305
    Likes Received:
    2
    Trophy Points:
    18
    Did not work for me. Thanks anyway though. :-(
     
  19. laith

    laith Registered

    Joined:
    Jun 26, 2006
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Sh3nKo's fix worked :)

    Sh3nKo's fix worked for me too. I'm not sure what caused the problem in the first place. I haven't done any updates and auto updates is disabled. CPanel seems to be very buggy in general.

    Permissions were already correct.
    I just ran "/scripts/makecpphp"

    Thanks for the fix!
     
  20. duranduran

    duranduran Well-Known Member

    Joined:
    Apr 30, 2004
    Messages:
    198
    Likes Received:
    0
    Trophy Points:
    16
    Not worked for me:


    root@node [/etc/csf]# /scripts/makecpphp
    Rebuilding cPanel's internal PHP installation...
    (This is *NOT* the PHP installation used with Apache)

    Couldn't load Template::Stash::XS 2.22:

    Template::Stash::XS object version 2.21 does not match bootstrap parameter 2.22 at /usr/lib/perl5/5.8.8/i386-linux-thread-multi/DynaLoader.pm line 253.

    BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/Template/Stash/XS.pm line 31.
    Compilation failed in require at /usr/local/cpanel/Cpanel/Template.pm line 15.
    BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/Template.pm line 15.
    Compilation failed in require at /usr/local/cpanel/Cpanel/AdvConfig.pm line 9.
    BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/AdvConfig.pm line 9.
    Compilation failed in require at /var/cpanel/perl/easy/Cpanel/Easy/Utils/HttpdConf.pm line 11.
    BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Utils/HttpdConf.pm line 11.
    Compilation failed in require at (eval 33) line 3.
    ...propagated at /usr/lib/perl5/5.8.8/base.pm line 85.
    at (eval 31) line 3
    at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15
    BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15.
    Compilation failed in require at (eval 1) line 3.
    ...propagated at /usr/lib/perl5/5.8.8/base.pm line 85.
    BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Apache.pm line 8.
    Compilation failed in require at /scripts/easyapache line 23.

    Done rebuilding cPanel's internal PHP.
    Failed to build working PHP
     
Loading...

Share This Page